# RSL_cappi_at_h

### Synopsis

#include "rsl.h"
Cappi *RSL_cappi_at_h(Volume *v, float h, float max_range);

###

Description

Produce a Constant Altitude PPI at h out to the maximum ground range max_range. h and max_range are expressed in km. Memory is allocated using the system calloc routine. A Sweep structure is used to store the data of the cappi. Thus, it is easy to make images by using RSL_sweep_to_gif.

### Return value

Upon successful completion, a pointer to the appropriate structure is returned. Otherwise, a NULL pointer is returned and errno is set.

### See also

RSL_free_cappi, RSL_cappi_to_carpi.

Author: John H. Merritt